package cn.hztech.sdk.exception;

/**
 * SDK基础异常
 */
public class SdkException extends RuntimeException {

    private String code;

    public SdkException(String message) {
        super(message);
    }

    public SdkException(String code, String message) {
        super(message);
        this.code = code;
    }

    public SdkException(String message, Throwable cause) {
        super(message, cause);
    }

    public SdkException(String code, String message, Throwable cause) {
        super(message, cause);
        this.code = code;
    }

    public String getCode() {
        return code;
    }
}
